### Method

# WebKit WebView evaluate_javascript_finish

since: 2.40

#### Declaration [src]

    JSCValue*
    webkit_web_view_evaluate_javascript_finish (
      WebKitWebView* web_view,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish an asynchronous operation started with webkit_web_view_evaluate_javascript().

Available since: 2.40

#### Parameters

`result`

  Type: `GAsyncResult`

  A `GAsyncResult`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `JSCValue`

A `JSCValue` with the result of the last executed statement in script or `NULL` in case of error.

The caller of the method takes ownership of the data, and is responsible for freeing it.